from pathlib import Path
import zipfile

# =========================
# CONFIG
# =========================

SRC = Path(r"D:\medicusbackup\MEDICUS_2026-01-24_17-07-44.fbk")
DST = SRC.with_suffix(".zip")

# =========================
# ZIP MAX COMPRESSION
# =========================

with zipfile.ZipFile(
    DST,
    mode="w",
    compression=zipfile.ZIP_DEFLATED,
    compresslevel=9
) as z:
    z.write(SRC, arcname=SRC.name)

print(f"ZIP created: {DST}")
